OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Static Public Attributes | List of all members
MatTraits< T, bool > Struct Template Reference

`#include <openvdb/Types.h>`

## Public Types
using | ElementType = typename T::ValueType

## Static Public Attributes
static const bool | IsMat = true
static const int | Size = T::size

## Member Typedef Documentation

## ◆ ElementType

template<typename T , bool = IsSpecializationOf<T, math::Mat3>::value || IsSpecializationOf<T, math::Mat4>::value>

using ElementType = typename T::ValueType

## Member Data Documentation

## ◆ IsMat

template<typename T , bool = IsSpecializationOf<T, math::Mat3>::value || IsSpecializationOf<T, math::Mat4>::value>

const bool IsMat = true
| static

## ◆ Size

template<typename T , bool = IsSpecializationOf<T, math::Mat3>::value || IsSpecializationOf<T, math::Mat4>::value>

const int Size = T::size
| static